cereal::XMLOutputArchive::Options Class Reference

A class containing various advanced options for the XML archive. More...

`#include </build/libcereal-YYPPni/libcereal-1.2.1/include/cereal/archives/xml.hpp>`

## Public Member Functions

| Options (int precision=std::numeric_limits< double >::max_digits10, bool indent=true, bool outputType=false)
| Specify specific options for the XMLOutputArchive. More...

## Static Public Member Functions

static Options | Default ()
| Default options.
static Options | NoIndent ()
| Default options with no indentation.

## Friends

class | XMLOutputArchive

## Detailed Description

A class containing various advanced options for the XML archive.

## Constructor & Destructor Documentation

## Options()

cereal::XMLOutputArchive::Options::Options | ( | int | precision = `std::numeric_limits<double>::max_digits10`,
|  | bool | indent = `true`,
|  | bool | outputType = `false`
| ) |  |

inline explicit

Specify specific options for the XMLOutputArchive.

Parameters

  precision | The precision used for floating point numbers
  indent | Whether to indent each line of XML
  outputType | Whether to output the type of each serialized object as an attribute

The documentation for this class was generated from the following file:

- include/cereal/archives/xml.hpp